Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(9)

Issue 2452063002: Condition the libsecret use on chrome desktop builds to 'use_glib' (Closed)

Created:
1 year, 9 months ago by tonikitoo
Modified:
1 year, 9 months ago
CC:
chromium-reviews, fwang
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Condition the libsecret use on chrome desktop builds to 'use_glib' Right now, libsecret files are added to the desktop linux chrome builds conditioned by 'use_ozone'. Although it works, 'use_ozone' is not the most accurate variable to check for libsecret inclusion. A more accurate check is 'use_glib', since GLib is the hard dependency libsecret relies on. Today use_ozone happens to work because it forcibly disables use_glib. BUG=295089 Committed: https://crrev.com/c1ce090fb362ed48b243cf3c5a926238abac36b5 Cr-Commit-Position: refs/heads/master@{#427801}

Patch Set 1 #

Patch Set 2 : Condition the libsecret use on chrome desktop builds to 'use_glib' #

Unified diffs Side-by-side diffs Delta from patch set Stats (+3 lines, -1 line) Patch
M chrome/browser/BUILD.gn View 1 1 chunk +3 lines, -1 line 0 comments Download

Messages

Total messages: 30 (15 generated)
tonikitoo
PTAL
1 year, 9 months ago (2016-10-26 14:51:31 UTC) #3
fwang
informal l g t m
1 year, 9 months ago (2016-10-26 15:43:35 UTC) #8
Lei Zhang
The BUG= line doesn't look right.
1 year, 9 months ago (2016-10-26 16:58:29 UTC) #11
Lei Zhang
The BUG= line doesn't look right.
1 year, 9 months ago (2016-10-26 16:58:29 UTC) #12
Lei Zhang
Makes sense, +cfroussios to confirm. Sorry about the now triple post.
1 year, 9 months ago (2016-10-26 16:59:28 UTC) #13
tonikitoo
On 2016/10/26 16:58:29, Lei Zhang wrote: > The BUG= line doesn't look right. True, fixed.
1 year, 9 months ago (2016-10-26 17:00:04 UTC) #15
Lei Zhang
lgtm
1 year, 9 months ago (2016-10-26 17:06:08 UTC) #16
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2452063002/20001
1 year, 9 months ago (2016-10-26 17:07:36 UTC) #18
commit-bot: I haz the power
Try jobs failed on following builders: ios-device on master.tryserver.chromium.mac (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.mac/builders/ios-device/builds/94225)
1 year, 9 months ago (2016-10-26 17:18:38 UTC) #20
Lei Zhang
Tree is closed. Try again in a bit?
1 year, 9 months ago (2016-10-26 17:20:55 UTC) #21
rjkroege
lgtm
1 year, 9 months ago (2016-10-26 18:51:00 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2452063002/20001
1 year, 9 months ago (2016-10-26 18:52:22 UTC) #24
commit-bot: I haz the power
Committed patchset #2 (id:20001)
1 year, 9 months ago (2016-10-26 21:23:08 UTC) #26
commit-bot: I haz the power
Patchset 2 (id:??) landed as https://crrev.com/c1ce090fb362ed48b243cf3c5a926238abac36b5 Cr-Commit-Position: refs/heads/master@{#427801}
1 year, 9 months ago (2016-10-26 21:25:51 UTC) #28
fwang
1 year, 9 months ago (2016-10-28 07:15:24 UTC) #30
Message was sent while issue was closed.

          

Powered by Google App Engine
This is Rietveld 408576698